Subject: bug#21883: unnecessary bit shifting range limits

From: Mark H Weaver <[email-masked]>
Date: Sun, 14 Oct 2018 18:19:36 -0400

Stefan Israelsson Tampe <[email-masked]> writes:
> how would this slow down the code. just add the correction where you
> throw the exception which should be in a branch outside the hot path.

If you have a suggestion that's simpler than what I did in commits
011aec7e, 9448a078, and 1990aa91, and just as fast in the common cases,
feel free to propose a patch.  The words above are insufficient.

      Mark